org.apache.olingo.server.api.uri

## Enum UriResourceKind

- java.lang.Object
- - java.lang.Enum<UriResourceKind>
  - - org.apache.olingo.server.api.uri.UriResourceKind

- All Implemented Interfaces:
    Serializable, Comparable<UriResourceKind>

      public enum UriResourceKind
      extends Enum<UriResourceKind>

  Defining the various resource part types

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `action` Class: `UriResourceAction` URI: http://...
    `complexProperty` Class: `UriResourceComplexProperty` URI: http://...
    `count` Class: `UriResourceCount` URI: http://...
    `entitySet` Class: `UriResourceEntitySet` URI: http://...
    `function` Class: `UriResourceFunction` URI: http://...
    `it` Class: `UriResourceIt` URI: http://...
    `lambdaAll` Class: `UriResourceLambdaAll` URI: http://...
    `lambdaAny` Class: `UriResourceLambdaAny` URI: http://...
    `lambdaVariable` Class: `UriResourceLambdaVariable` URI: http://...
    `navigationProperty` Class: `UriResourceNavigation` URI: http://...
    `primitiveProperty` Class: `UriResourceProperty` URI: http://...
    `ref` Class: `UriResourceRef` URI: http://...
    `root` Class: `UriResourceRoot` URI: http://...
    `singleton` Class: `UriResourceSingleton` URI: http://...
    `value` Class: `UriResourceValue` URI: http://...

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UriResourceKind` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static UriResourceKind[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### action

          public static final UriResourceKind action

      Class: `UriResourceAction`
      URI: http://.../serviceroot/action()

    - #### complexProperty

          public static final UriResourceKind complexProperty

      Class: `UriResourceComplexProperty`
      URI: http://.../serviceroot/entityset(1)/complexproperty()

    - #### count

          public static final UriResourceKind count

      Class: `UriResourceCount`
      URI: http://.../serviceroot/entityset/$count

    - #### entitySet

          public static final UriResourceKind entitySet

      Class: `UriResourceEntitySet`
      URI: http://.../serviceroot/entityset

    - #### function

          public static final UriResourceKind function

      Class: `UriResourceFunction`
      URI: http://.../serviceroot/functionimport(P1=1,P2='a')

    - #### it

          public static final UriResourceKind it

      Class: `UriResourceIt`
      URI: http://.../serviceroot/entityset?$filter=$it/property

    - #### lambdaAll

          public static final UriResourceKind lambdaAll

      Class: `UriResourceLambdaAll`
      URI: http://.../serviceroot/entityset/all(...)

    - #### lambdaAny

          public static final UriResourceKind lambdaAny

      Class: `UriResourceLambdaAny`
      URI: http://.../serviceroot/entityset/any(...)

    - #### lambdaVariable

          public static final UriResourceKind lambdaVariable

      Class: `UriResourceLambdaVariable`
      URI: http://.../serviceroot/entityset/listofstring/any(d: 'string' eq d)

    - #### navigationProperty

          public static final UriResourceKind navigationProperty

      Class: `UriResourceNavigation`
      URI: http://.../serviceroot/entityset(1)/navProperty

    - #### ref

          public static final UriResourceKind ref

      Class: `UriResourceRef`
      URI: http://.../serviceroot/entityset/$ref

    - #### root

          public static final UriResourceKind root

      Class: `UriResourceRoot`
      URI: http://.../serviceroot/entityset(1)?$filter=property eq $root/singleton/configstring

    - #### primitiveProperty

          public static final UriResourceKind primitiveProperty

      Class: `UriResourceProperty`
      URI: http://.../serviceroot/entityset(1)/property

    - #### singleton

          public static final UriResourceKind singleton

      Class: `UriResourceSingleton`
      URI: http://.../serviceroot/singleton

    - #### value

          public static final UriResourceKind value

      Class: `UriResourceValue`
      URI: http://.../serviceroot/entityset(1)/property/$value

  - ### Method Detail

    - #### values

          public static UriResourceKind[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UriResourceKind c : UriResourceKind.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UriResourceKind valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.